Package mvpa :: Package clfs :: Module blr :: Class BLR

[hide private]
[frames] | no frames]

# Class BLR

source code

Bayesian Linear Regression (BLR).

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, sigma_p=None, sigma_noise=1.0, **kwargs) Initialize a BLR regression analysis. | source code

__repr__(self) String summary of the object | source code

compute_log_marginal_likelihood(self) Compute log marginal likelihood using self.train_fv and self.labels. | source code

_train(self, data) Train regression using `data` (Dataset). | source code

_predict(self, data) Predict the output for the provided data. | source code

set_hyperparameters(self, *args) Set hyperparameters' values. | source code

Inherited from `base.Classifier`: `__str__`, `clone`, `getSensitivityAnalyzer`, `isTrained`, `predict`, `repredict`, `retrain`, `summary`, `train`, `trained`, `untrain`

Inherited from `base.Classifier` (private): `_getFeatureIds`, `_postpredict`, `_posttrain`, `_prepredict`, `_pretrain`, `_regressionIsBogus`, `_setRetrainable`

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__setattr__`, `reset`

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| predicted_variances = `StateVariable(enabled= False, doc= "Vari`...``
| log_marginal_likelihood = `StateVariable(enabled= False, doc= "`...``
| _clf_internals = `['blr', 'regression', 'linear']` Describes some specifics about the classifier -- is that it is doing regression for instance....
Inherited from `base.Classifier`: `_DEV__doc__`, `feature_ids`, `predicting_time`, `predictions`, `regression`, `retrainable`, `trained_dataset`, `trained_labels`, `trained_nsamples`, `training_confusion`, `training_time`, `values` Inherited from `misc.state.ClassWithCollections`: `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, sigma_p=None, sigma_noise=1.0, **kwargs)
(Constructor)

source code

Initialize a BLR regression analysis.

Parameters:
  - `sigma_noise` (float) - the standard deviation of the gaussian noise. (Defaults to 0.1)
Overrides: object.__init__

### __repr__(self)
(Representation operator)

source code

String summary of the object

Parameters:
  - `fullname` - Either to include full name of the module
  - `prefixes` - What other prefixes to prepend to list of arguments
Overrides: object.__repr__

### _train(self, data)

source code

Train regression using `data` (Dataset).

Overrides: base.Classifier._train

### _predict(self, data)

source code

Predict the output for the provided data.

Overrides: base.Classifier._predict

### set_hyperparameters(self, *args)

source code

Set hyperparameters' values.

Note that this is a list so the order of the values is important.

Class Variable Details | [hide private]

### predicted_variances

Value:

      StateVariable(enabled= False, doc= "Variance per each predicted value"
      )

### log_marginal_likelihood

Value:

      StateVariable(enabled= False, doc= "Log Marginal Likelihood")